=encoding utf8

=head1 NAME

Mail::Message::Construct - extends the functionality of a Mail::Message

=head1 SYNOPSIS

  # See Mail::Message

=head1 DESCRIPTION

Complex functionality on L<Mail::Message|Mail::Message> objects is implemented in
different files which are autoloaded.  This file implements the
functionality related to creating message replies.

The following constructors are available:

=over 4

=item L<Mail::Message::Construct::Bounce|Mail::Message::Construct::Bounce>

=item L<Mail::Message::Construct::Build|Mail::Message::Construct::Build>

=item L<Mail::Message::Construct::Forward|Mail::Message::Construct::Forward>

=item L<Mail::Message::Construct::Read|Mail::Message::Construct::Read>

=item L<Mail::Message::Construct::Rebuild|Mail::Message::Construct::Rebuild>

=item L<Mail::Message::Construct::Reply|Mail::Message::Construct::Reply>

=item L<Mail::Message::Construct::Text|Mail::Message::Construct::Text>

=back

=head1 METHODS

=over 4

=item $obj-E<gt>B<AUTOLOAD>()

When an unknown method is called on this message, this may mean that
not all code is compiled.  For performance reasons, most of the
complex activities on messages are dynamically loaded from other
packages.  An error will be produced when loading does not help resolving
the requested method.
Improves base, see L<Mail::Reporter/"Error handling">

=back

=head1 SEE ALSO

This module is part of Mail-Message version 4.05,
built on April 10, 2026. Website: F<http://perl.overmeer.net/mailbox/>

=head1 LICENSE

For contributors see file ChangeLog.

This software is copyright (c) 2001-2026 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

